%define	name	latte
%define	version	0.9.12
%define	release	1
%define	prefix	/usr

Summary:	Lazy hAcker's exTensible Text Editor.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Editors
URL:		http://latte.sourceforge.net/
Vendor:		Chris Phelps <chicane@reninet.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	CodeCommander

%description
LATTE is the Lazy hAcker's exTensible Text Editor,
formerly know as CodeCommander.

It is a full featured code editor with many advanced features,
including full scripting integration with either Python or Guile. 

%prep
%setup -q

%build
export CXXFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=%{prefix}

make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}%{prefix} install-strip

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/latte
%{prefix}/share/latte
%{prefix}/share/gnome/apps/Development/latte.desktop
%{prefix}/share/gnome/help/latte
%{prefix}/share/pixmaps/latte-icon.png
%{prefix}/share/pixmaps/latte-title.png
### Comment Out locale stuff til I can figure out whats wrong.
### %{prefix}/share/locale/*/LC_MESSAGES/latte.mo

%changelog
* Fri Aug 25 2000 Ryan Weaver <ryanw@infohwy.com>
  [latte-0.9.12-1]
- Added toolbar for explicit choosing of language syntax
  (over-rides the extension) 
- Python bindings fixes. (lots of exparamentation too) 
- Many language definition updates. 
- Fixed Ctrl+Tab crash when line length == 0 
- c.lang split from cpp.lang 
- Proper c[pp].lang space indenting added (Python only) 
- Fixes to GdsEditor and GtkExtext. 

  [latte-0.9.11-1]
- Fixed auto-indenting problems 
- Language definition updates 
- Added auto-indenting for java.lang and z80.lang 
- Added \"Open Reverse\" python callback to cpp.lang (open a
  header or source file when the opposite is currently open)

* Fri Aug 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [latte-0.9.10-1]
- Added Documents menu.
- Added ability to re-order files.
- History settings can be up to 50 now. (instead of 25)

* Thu Aug 17 2000 Ryan Weaver <ryanw@infohwy.com>
  [latte-0.9.9-1]
- Fix memory leaks for bindings that return newly allocated (gchar*) 
- Add a few more bindings for working with GdsFile\\\'s 
- Fix endless loop in GdsEditor::check_syntax when regex found
  and length == 0 
- General code cleaning in the bindings area. 
- Reduce GtkExText exposes when no movement has occured (such as
  when dragging a window over the top) 
- Set the widget->window background when bg_pixmap is available. 
- Remove cursor-column history saving. It wasnt working properly. 
- Modifications to HighlightTable structs for new features. 
- Bindings to add dock items to the main CC window. Note: Im still
  working on the dock-item function for guile, as I have not yet
  gotten guile-gtk to link with CodeCommander properly. 
- Bindings to set callbacks for certain events (add-file, remove-file,
  focus-file, leave-file, remove-table, enter-press, tab-press) 
- Fixed Window menu items (did not actually change file properly) 
- Fixed window cycling with Alt+[N/P] (skips torn away windows) 
- Other tear-away related fixes... 
- Fixed problem with \\\"multiple deletion\\\" ie. if you pressed
  close really fast with a bunch of files open, bad things could
  happen...they dont anymore. 
- Fixed double expose with [Shift/Ctrl] + Anything 
- Added delete and rename buttons/functions to GnomeFileList widget.
  Only work for files at the current time. 
- Finished tab signal code for scripting. (tested, etc) 
- Small change in GtkExText Page Up/Down movement 
- Add text remove/delete API for GdsEditor... Checks for readonly,
  so changed signals dont get emitted when there really isnt a change. 
- Add function for editable/read_only handling to GdsEditor (changes
  GtkEditable::editable and GtkExText::read_only) 
- API for hooking enter/tab keypresses with scripting languages 
- Remove all refereces to props->indent_chars 
- Fix line_start and line_end bindings (weren\\\'t actually calling
  the functions) 
- API for custom toolbar entries 
- View &62 Custom Toolbar option. 
- Add binding for get_file_use_spaces(int file_no). This is helpful
  in enter hooks. 
- Boolean variable set when parsing a language definition 
- Use boolean variable to fix some problems with add_[item/sub] bindings. 
- Set the tabstop range to 1-8 instead of 0-10 (fixes a crash problem) 


